Name:           perl-Data-Page
Version:        2.00
Release:        3%{?dist}
Summary:        Help when paging through sets of results
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Data-Page/
Source0:        http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/Data-Page-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Test::Exception), perl(Class::Accessor::Chained::Fast)
BuildRequires:	perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# Not picked up automatically
Requires:	perl(Class::Accessor::Chained::Fast)

%description
%{summary}.

%prep
%setup -q -n Data-Page-%{version}
perldoc perlgpl > COPYING
perldoc perlartistic > Artistic

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README CHANGES COPYING Artistic
%{perl_vendorlib}/Data
%{_mandir}/man3/*.3*


%changelog
* Thu Aug 25 2005 Paul Howarth <paul@city-fan.org> 2.00-3
- remove redundant BR: perl
- include license text as %%doc
- include CHANGES as %%doc
- use %%{?_smp_mflags} with make
- add BR: Test::Pod::Coverage and Test::Pod for improved test coverage
- add explicit dep perl(Class::Accessor::Chained::Fast)

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.00-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.00-1
- Initial package for Fedora Extras
